sync.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | sync_callbacks

## Functions

int | sync_init (int(*sync_callbacks_retrieve)(int service_id, struct sync_callbacks *callbacks), void(*synchronization_completed)(void))
void | sync_start (const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)
void | sync_save_transitional (const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)
void | sync_abort (void)
void | sync_memb_list_determine (const struct memb_ring_id *ring_id)
void | sync_memb_list_abort (void)

## Function Documentation

## sync_abort()

void sync_abort | ( | void |  | ) |

extern

Definition at line 535 of file sync.c.

References ENTER, my_sync_callbacks_retrieve, nodeid, schedwrk_destroy(), service_entry::sync_abort, and SYNC_PROCESS.

## sync_init()

int sync_init | ( | int(*)(int service_id, struct sync_callbacks *callbacks) | sync_callbacks_retrieve,
|  | void(*)(void) | synchronization_completed
| ) |  |

extern

Definition at line 158 of file sync.c.

References log_printf, LOGSYS_LEVEL_ERROR, my_sync_callbacks_retrieve, nodeid, totempg_groups_initialize(), and totempg_groups_join().

## sync_memb_list_abort()

void sync_memb_list_abort | ( | void |  | ) |

extern

## sync_memb_list_determine()

void sync_memb_list_determine | ( | const struct memb_ring_id * | ring_id | ) |

extern

## sync_save_transitional()

void sync_save_transitional | ( | const unsigned int * | member_list,
|  | size_t | member_list_entries,
|  | const struct memb_ring_id * | ring_id
| ) |  |

extern

Definition at line 524 of file sync.c.

References ENTER, and nodeid.

## sync_start()

void sync_start | ( | const unsigned int * | member_list,
|  | size_t | member_list_entries,
|  | const struct memb_ring_id * | ring_id
| ) |  |

extern

Definition at line 512 of file sync.c.

References ENTER, nodeid, and ring_id.